CentOS 7: java-1.8.0-openjdk (CESA-2022: 7002)

low Nessus プラグイン ID 166552

概要

リモートの CentOS Linux ホストに 1 つ以上のセキュリティ更新プログラムが欠落しています。

説明

リモート CentOS Linux 7 ホストにインストールされているパッケージは、CESA-2022: 7002 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- OpenJDK:長い NTLM クライアントホスト名の不適切な処理 (セキュリティ、8286652) (CVE-2022-21619)

- OpenJDK:JNDI DNS ポート番号の不十分なランダム化 (JNDI、8256910) (CVE-2022-21624)

- OpenJDK:X.509 証明書解析での過剰なメモリ割り当て (セキュリティ、8286533) (CVE-2022-21626)

- OpenJDK:HttpServer の接続カウント制限がない (Lightweight HTTP Server、8286918) (CVE-2022-21628)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

http://www.nessus.org/u?0ce1bb6f

プラグインの詳細

深刻度: Low

ID: 166552

ファイル名: centos_RHSA-2022-7002.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2022/10/26

更新日: 2022/10/26

サポートされているセンサー: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Agentless Assessment

リスク情報

VPR

リスクファクター: Low

スコア: 2.9

CVSS v2

リスクファクター: Medium

Base Score: 5

Temporal Score: 3.7

ベクトル: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

現状ベクトル: CVSS2#E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-21626

CVSS v3

リスクファクター: Low

Base Score: 3.7

Temporal Score: 3.2

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:L/A:N

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

CVSS スコアのソース: CVE-2022-21624

脆弱性情報

CPE: cpe:2.3:o:centos:centos:7:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:java-1.8.0-openjdk:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:java-1.8.0-openjdk-demo:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:java-1.8.0-openjdk-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:java-1.8.0-openjdk-headless:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:java-1.8.0-openjdk-javadoc:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:java-1.8.0-openjdk-src:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:java-1.8.0-openjdk-accessibility:*:*:*:*:*:*:*, p-cpe:2.3:a:centos:centos:java-1.8.0-openjdk-javadoc-zip:*:*:*:*:*:*:*

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/CentOS/release, Host/CentOS/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/10/26

脆弱性公開日: 2022/10/17

参照情報

CVE: CVE-2022-21619, CVE-2022-21624, CVE-2022-21628, CVE-2022-21626

CWE: 400, 770, 330, 192

RHSA: 2022:7002